"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parametersMapper = exports.valuesMapper = void 0;

var _constants = require("../constants");

const parametersMapper = {
  [_constants.FORMAT]: {
    format: 'fm',
    compression: 'fl'
  },
  [_constants.RESIZE]: {
    width: 'w',
    height: 'h',
    behavior: 'fit',
    focusArea: 'f'
  },
  [_constants.CROP]: 'r',
  [_constants.QUALITY]: 'q',
  [_constants.BACKGROUND_COLOR]: 'bg'
};
exports.parametersMapper = parametersMapper;
const valuesMapper = {
  [_constants.FORMAT]: {
    compression: {
      '8bit': 'png8',
      progressive: 'progressive'
    },
    mimeType: {
      webp: 'webp',
      jpg: 'jpeg',
      png: 'png'
    }
  }
};
exports.valuesMapper = valuesMapper;